package com.qmth.qrzk.repository.task;

import java.util.Date;

import com.qmth.qrzk.repository.user.model.User;
import com.qmth.qrzk.repository.utils.Consts;

public class TaskFlowLog {
	private Integer id;
	private Integer taskId;//任务主键ID
	private String taskType;//任务类型
	private String operName;//操作名称
	private String remark;
	private String atts;//附件ID数组
	private Integer createdBy;
	private Date createdTime;
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getTaskId() {
		return taskId;
	}
	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}
	public String getTaskType() {
		return taskType;
	}
	public void setTaskType(String taskType) {
		this.taskType = taskType;
	}
	public String getOperName() {
		return operName;
	}
	public void setOperName(String operName) {
		this.operName = operName;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getAtts() {
		return atts;
	}
	public void setAtts(String atts) {
		this.atts = atts;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public User getCreatedByBean(){
		return Consts.UserMap.get(createdBy);
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	
}
